Bug 87400 - SwIndexReg dtor assertion on inserting horizontal ruler
Summary: SwIndexReg dtor assertion on inserting horizontal ruler
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.5.0 target:4.4.3
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-12-17 08:30 UTC by Matthew Francis
Modified: 2015-12-17 08:41 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
OSX 10.10 backtrace (16.68 KB, text/plain)
2014-12-17 08:31 UTC, Matthew Francis
Details
linux backtrace (24.82 KB, text/plain)
2014-12-30 11:44 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-12-17 08:30:28 UTC
Observed using 4.5 master on Linux and OSX

Steps to reproduce:

In a new Writer document, type:
1. Return
2. "---", return (to insert a horizontal ruler)

At this point, LibreOffice will crash. Possibly this is another one limited to dbgutil builds - I have not reproduced this in any release build
Comment 1 Matthew Francis 2014-12-17 08:31:12 UTC
Created attachment 110938 [details]
OSX 10.10 backtrace
Comment 2 sophie 2014-12-26 12:38:42 UTC
I can't reproduce with Version: 4.5.0.0.alpha0+
Build ID: 57626f2132f73e4e42b31e364b25c5867336e718
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-26_09:28:24
Locale: fr_FR Ubuntu 14.10 - Sophie
Comment 3 Robinson Tryon (qubit) 2014-12-30 00:34:01 UTC
(In reply to Matthew Francis from comment #0)
> ...Possibly this is another one limited
> to dbgutil builds - I have not reproduced this in any release build

I don't have a debug build handy, but I think Jay does (cc'ing him).
Comment 4 Yousuf Philips (jay) (retired) 2014-12-30 11:44:21 UTC
Created attachment 111511 [details]
linux backtrace
Comment 5 Yousuf Philips (jay) (retired) 2014-12-30 11:45:49 UTC
Confirmed.

Here are errors i got from the commadline.

warn:vcl:3558:1:vcl/generic/fontmanager/fontmanager.cxx:1074: Unimplmented mac encoding 20 to unicode conversion
warn:vcl:3558:1:vcl/generic/fontmanager/fontmanager.cxx:1074: Unimplmented mac encoding 20 to unicode conversion
warn:ucb.ucp.gvfs:3596:1:ucb/source/ucp/gvfs/gvfs_content.cxx:1130: gnome_vfs_get_file_info for <vnd.sun.star.job:alias=UpdateCheck> failed with "Unsupported operation" (5)
warn:ucb.ucp.gvfs:3596:1:ucb/source/ucp/gvfs/gvfs_content.cxx:1130: gnome_vfs_get_file_info for <vnd.sun.star.job:alias=UpdateCheck> failed with "Unsupported operation" (5)
warn:vcl.control:3596:1:vcl/source/control/button.cxx:2236: No new-style group set on radiobutton <> using old-style digging around
warn:ucb.ucp.gvfs:3596:1:ucb/source/ucp/gvfs/gvfs_content.cxx:1130: gnome_vfs_get_file_info for <> failed with "Unsupported operation" (5)
soffice.bin: /home/buildslave/source/libo-core/sw/source/core/bastyp/index.cxx:225: virtual SwIndexReg::~SwIndexReg(): Assertion `!m_pFirst && !m_pLast && "There are still indices registered"' failed.
Comment 6 Michael Stahl (CIB) 2015-04-02 21:59:35 UTC
regression from f9b62506b22c3eb885ffd5a4ec8025c33df7b2d4

fixed on master
Comment 7 Commit Notification 2015-04-02 21:59:59 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41e4998cdeb54a6fc316f349de61296be820fe47

tdf#87400: sw: fix ~SwIndexReg assertion in AutoCorrect

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Matthew Francis 2015-04-03 03:15:51 UTC
As mentioned in the full commit message, this was a regression from commit f9b62506b22c3eb885ffd5a4ec8025c33df7b2d4. Adjusting metadata to indicate an identified regression.
Comment 9 Commit Notification 2015-04-03 07:25:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8d946210a39400e4fc0b83f186e6234ad364836&h=libreoffice-4-4

tdf#87400: sw: fix ~SwIndexReg assertion in AutoCorrect

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:41:51 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]